#include "stdafx.h"
#include "TimedMsgBox.h"

void CTimedMsgBox::Do(PCTSTR pszCaption, LPCTSTR pszTitle, UINT nType)
{
	CMsgBoxThread *pthread = new CMsgBoxThread(pszCaption, pszTitle, nType);
	if (!thread)
		return;

	thread->Start();

	Sleep(MSGBOX_DELAY);

	try
	{
		delete pthread;
	}
	catch(...)
	{
	}
}